All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components
Class DataElementStyles

    com.sas.graphics.components.DataElementStyles

    public class DataElementStyles

DataElementStyles class is a class that encapsulates the visual style attributes of the graph's data elements (pie slices, bars, markers). Fill, Line and Marker attributes are stored here. Outline around the data elements and continuous range colors are stored here too.

DataElementStyles are created when a new GraphStyle is created. These styles are applied to the individual charts using the chart's applyGraphStyle(gs) method.

Note: Any visual attributes set on the chart that are also a part of the chart's Graph Style, will be over written with every Graph.applyGraphStyle(gs) method call.

## Usage

To turn outlines around bars in a bar chart:

     DataElementStyles styles = barChartModel.getDataElementStyles();
     styles.setOutlineEnabled(true);

## Behavior

The individual charts will retrieve the visual attributes for their data elements from an instance of this class that is stored in the graph style.
This class comes with an apply() method which accepts as a parameter an object of the same class and applies the new settings to the object's attributes.

## Extending

You will need to override the apply() method.

Since:
  SAS 9.1
See Also:
  `GraphStyle`, `ModelBase`, `Graph`

Constructor Summary
`DataElementStyles()`

Method Summary
`void` | `apply(DataElementStyles theOtherObject)` Utility method to convey properties contained in "theOtherObject" to this object.
`void` | `applyDataElementColors(DataElementColors colors)` Utility method to apply a new set of data element colors to this object.
`void` | `applyDiscreteFillColorsAlpha(int alpha)` Utility method to apply an alpha (transparency) to the array of discrete fill colors, which are utilised when the fill, marker and line style arrays are cycled.
`void` | `applyFillStylesAlpha(int alpha)` Utility method to apply an alpha (transparency) to the array of FillStyles colors, which are used to draw the filled data elements.
`void` | `applyLineStylesAlpha(int alpha)` Utility method to apply an alpha (transparency) to the array of LineStyles colors, which are used to draw the line data elements.
`void` | `applyMarkerStylesAlpha(int alpha)` Utility method to apply an alpha (transparency) to the array of MarkerStyles colors, which are used to draw the marker data elements.
`boolean` | `equals(java.lang.Object obj)` Determines whether another object is equal to this `DataElementStyles`.
`FillStyle` | `getActualFillStyle()` Returns the FillStyle attributes used to create the Actual bar.
`FillStyle` | `getBaselineFillStyle()` Returns the FillStyle attributes used to create the Baseline bar.
`FillStyle` | `getBreakTimeFillStyle()` Returns the fill attributes for displaying BreakTime.
`LineStyle` | `getConnectingLineStyle()` Returns the line attributes for the element Connecting lines.
`ColorPosition[]` | `getContinuousColorSpectrum()` Gets the color spectrum, a list of colors with associated positions along a normalized range of 0.0 to 1.0.
`java.awt.Color` | `getContinuousContrastThreeColorEndColor()` Returns the ending color of a three color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousContrastThreeColorNeutralColor()` Returns the middle color of a three color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousContrastThreeColorStartColor()` Returns the beginning color of a three color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousContrastTwoColorEndColor()` Returns the ending color of a two color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousContrastTwoColorStartColor()` Returns the beginning color of a two color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousFillThreeColorEndColor()` Returns the ending color of a three color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousFillThreeColorNeutralColor()` Returns the middle color of a three color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousFillThreeColorStartColor()` Returns the beginning color of a three color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousFillTwoColorEndColor()` Returns the ending color of a two color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousFillTwoColorStartColor()` Returns the beginning color of a two color continuous range spectrum for the data elements.
`FillStyle` | `getCriticalFillStyle()` Returns the FillStyle attributes used to create the Critical bar.
`FillStyle` | `getCustomSchedule1FillStyle()` Returns the FillStyle attributes used to create the Custom Schedule 1 bar.
`FillStyle` | `getCustomSchedule2FillStyle()` Returns the FillStyle attributes used to create the Resource bar.
`java.awt.Color[]` | `getDiscreteFillColors()` Gets the list of colors to be associated with pie slice and bar data elements in a graph.
`com.sas.graphics.components.DiscreteStyleMapModel` | `getDiscreteStyleMapModel()`
`FillStyle[]` | `getErrorFillStyles()` Returns the FillStyle attributes used to create the Error data elements in the graph.
`StrokeLineStyle[]` | `getErrorLineStyles()` Returns the Line attributes used to create the Error data elements in the graph.
`MarkerStyle[]` | `getErrorMarkerStyles()` Returns the Marker attributes used to create the Error data elements in the graph.
`FillStyle[]` | `getFillStyles()` Returns the FillStyle attributes used to create the data elements in the graph.
`FillStyle` | `getFinalFillStyle()` Returns the fill attributes for "final" elements such as found in the WaterfallChart.
`FillStyle` | `getInitialFillStyle()` Returns the fill attributes for "initial" elements such as found in the WaterfallChart.
`StrokeLineStyle[]` | `getLineStyles()` Returns the Line attributes used to create the data elements in the graph.
`FillStyle` | `getLowerThresholdFillStyle()` Returns the FillStyle attributes used to create the lower Threshold data elements.
`MarkerStyle[]` | `getMarkerStyles()` Returns the Marker attributes used to create the data elements in the graph.
`MarkerStyle` | `getMilestoneMarkerStyle()` Returns the milestone MarkerStyle property.
`FillStyle` | `getMissingFillStyle()` Returns the FillStyle attributes used to create the Missing values.
`FillStyle` | `getNormalFillStyle()` Returns the FillStyle attributes used to create the Normal bar.
`FillStyle` | `getOtherFillStyle()` Returns the FillStyle attributes used to create the Other pie slice.
`LineStyle` | `getOutlineLineStyle()` Returns the line attributes for the element outlines.
`FillStyle` | `getOutOfRangeFillStyle()` Returns the FillStyle attributes used to create the OutOfRange data elements.
`FillStyle` | `getOverFlowFillStyle()` Returns the FillStyle attributes used to create the OverFlow data elements.
`FillStyle` | `getResourceFillStyle()` Returns the FillStyle attributes used to create the Resource bar.
`FillStyle` | `getSlackFillStyle()` Returns the FillStyle attributes used to create the Slack bar.
`java.awt.Color` | `getTargetColor()` Returns the color applied to target indicators.
`MarkerStyle` | `getTargetMarkerStyle()` Returns the target MarkerStyle property.
`FillStyle` | `getUnderFlowFillStyle()` Returns the FillStyle attributes used to create the UnderFlow data elements.
`FillStyle` | `getUpperThresholdFillStyle()` Returns the FillStyle attributes used to create the upper Threshold data elements.
`int` | `hashCode()` Computes the hash code for this `DataElementStyles`.
`void` | `setActualFillStyle(FillStyle newFillStyle)` Fill attributes for Actual bar.
`void` | `setBaselineFillStyle(FillStyle newFillStyle)` Fill attributes for Baseline bar.
`void` | `setBreakTimeFillStyle(FillStyle newBreakTimeFillStyle)` Sets fill attributes for marking break times.
`void` | `setConnectingLineStyle(LineStyle newConnectingLineStyle)` Set the line attributes for the element Connecting lines.
`void` | `setContinuousColorSpectrum(ColorPosition[] newColorSpectrum)` Sets a color spectrum defined as an array of color inflection points mapped to normalized (0.0 to 1.0 inclusive) range.
`void` | `setContinuousContrastThreeColorEndColor(java.awt.Color newColor)` Sets the ending color of a three color continuous range spectrum for the data elements.
`void` | `setContinuousContrastThreeColorNeutralColor(java.awt.Color newColor)` Sets the middle color of a three color continuous range spectrum for the data elements.
`void` | `setContinuousContrastThreeColorStartColor(java.awt.Color newColor)` Sets the beginning color of a three color continuous range spectrum for the data elements.
`void` | `setContinuousContrastTwoColorEndColor(java.awt.Color newColor)` Sets the ending color of a two color continuous range spectrum for the data elements.
`void` | `setContinuousContrastTwoColorStartColor(java.awt.Color newColor)` Sets the beginning color of a two color continuous range spectrum for the data elements.
`void` | `setContinuousFillThreeColorEndColor(java.awt.Color newColor)` Sets the ending color of a three color continuous range spectrum for the data elements.
`void` | `setContinuousFillThreeColorNeutralColor(java.awt.Color newColor)` Sets the middle color of a three color continuous range spectrum for the data elements.
`void` | `setContinuousFillThreeColorStartColor(java.awt.Color newColor)` Sets the beginning color of a three color continuous range spectrum for the data elements.
`void` | `setContinuousFillTwoColorEndColor(java.awt.Color newColor)` Sets the ending color of a two color continuous range spectrum for the data elements.
`void` | `setContinuousFillTwoColorStartColor(java.awt.Color newColor)` Sets the beginning color of a two color continuous range spectrum for the data elements.
`void` | `setCriticalFillStyle(FillStyle newFillStyle)` Fill attributes for Critical bar.
`void` | `setCustomSchedule1FillStyle(FillStyle newFillStyle)` Fill attributes for Custom Schedule 1 bar.
`void` | `setCustomSchedule2FillStyle(FillStyle newFillStyle)` Fill attributes for Custom Schedule 2 bar.
`void` | `setDiscreteFillColors(java.awt.Color[] newColors)` Sets the list of colors to be associated with pie slice and bar data elements in a graph.
`void` | `setDiscreteStyleMapModel(com.sas.graphics.components.DiscreteStyleMapModel newStyleMapModel)`
`void` | `setErrorFillStyles(FillStyle[] newFillStyles)` Fill attributes for Error data elements.
`void` | `setErrorLineStyles(StrokeLineStyle[] newLineStyles)` Line attributes for Error data elements.
`void` | `setErrorMarkerStyles(MarkerStyle[] newMarkerStyles)` Marker attributes for Error data elements.
`void` | `setFillStyles(FillStyle[] newFillStyles)` Fill attributes for data elements.
`void` | `setFinalFillStyle(FillStyle newFillStyle)` Sets the fill attributes for "final" elements such as found in the WaterfallChart.
`void` | `setInitialFillStyle(FillStyle newFillStyle)` Sets the fill attributes for "initial" elements such as found in the WaterfallChart.
`void` | `setLineStyles(StrokeLineStyle[] newLineStyles)` Line attributes for data elements.
`void` | `setLowerThresholdFillStyle(FillStyle newFillStyle)` Fill attributes for data elements that pass below a specified Threshold on a BarChart.
`void` | `setMarkerStyles(MarkerStyle[] newMarkerStyles)` Marker attributes for data elements.
`void` | `setMilestoneMarkerStyle(MarkerStyle newMarkerStyle)` Marker display properties for milestone data elements.
`void` | `setMissingFillStyle(FillStyle newFillStyle)` Fill attributes for Missing values.
`void` | `setNormalFillStyle(FillStyle newFillStyle)` Fill attributes for Normal bar.
`void` | `setOtherFillStyle(FillStyle newFillStyle)` Fill attributes for Other pie slice.
`void` | `setOutlineLineStyle(LineStyle newOutlineLineStyle)` Set the line attributes for the element outlines.
`void` | `setOutOfRangeFillStyle(FillStyle newFillStyle)` Fill attributes for OutOfRange data elements on a Scatter Plot graph.
`void` | `setOverFlowFillStyle(FillStyle newFillStyle)` Fill attributes for OverFlow data elements on Spectrum Plot.
`void` | `setResourceFillStyle(FillStyle newFillStyle)` Fill attributes for Resource bar.
`void` | `setSlackFillStyle(FillStyle newFillStyle)` Fill attributes for Slack bar.
`void` | `setTargetColor(java.awt.Color newTargetColor)` Sets the color applied to target indicators.
`void` | `setTargetMarkerStyle(MarkerStyle newMarkerStyle)` Marker display properties for target markers.
`void` | `setUnderFlowFillStyle(FillStyle newFillStyle)` Fill attributes for UnderFlow data elements on Spectrum Plot.
`void` | `setUpperThresholdFillStyle(FillStyle newFillStyle)` Fill attributes for data elements that pass above a specified Threshold on a BarChart.

Methods inherited from class com.sas.graphics.components.ModelBase
`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, setContainedModel`

Constructor Detail

### DataElementStyles

    public DataElementStyles()

Method Detail

### apply

    public void apply(DataElementStyles theOtherObject)

  Utility method to convey properties contained in "theOtherObject" to this object.

  Note: Contained "models" (i.e. properties that are subclasses of ModelBase) will in turn be called on to convey their properties to the like contained models in the other object. In that respect this can be considered a "tree" type copy.

  Also Note: This is a deep copy. Thus after the copy, mutable properties will not be shared by the two instances.

  Parameters:
    `theOtherObject` - properties applied to this instance

### applyDataElementColors

    public void applyDataElementColors(DataElementColors colors)

  Utility method to apply a new set of data element colors to this object. No action is taken if a NULL parameter is passed in.

  Parameters:
    `colors` - the set of DataElementColors being applied to this instance

### applyFillStylesAlpha

    public void applyFillStylesAlpha(int alpha)
                              throws java.lang.IllegalArgumentException

  Utility method to apply an alpha (transparency) to the array of FillStyles colors, which are used to draw the filled data elements. A new array of Color objects are created with the new alpha that replaces the old array.

  Parameters:
    `alpha` - to be applied
  Throws:
    `java.lang.IllegalArgumentException` - if alpha is less than 0 or alpha greater than 255.

### applyMarkerStylesAlpha

    public void applyMarkerStylesAlpha(int alpha)
                                throws java.lang.IllegalArgumentException

  Utility method to apply an alpha (transparency) to the array of MarkerStyles colors, which are used to draw the marker data elements. A new array of Color objects are created with the new alpha that replaces the old array.

  Parameters:
    `alpha` - to be applied
  Throws:
    `java.lang.IllegalArgumentException` - if alpha is less than 0 or alpha greater than 255.

### applyLineStylesAlpha

    public void applyLineStylesAlpha(int alpha)
                              throws java.lang.IllegalArgumentException

  Utility method to apply an alpha (transparency) to the array of LineStyles colors, which are used to draw the line data elements. A new array of Color objects are created with the new alpha that replaces the old array.

  Parameters:
    `alpha` - to be applied
  Throws:
    `java.lang.IllegalArgumentException` - if alpha is less than 0 or alpha greater than 255.

### applyDiscreteFillColorsAlpha

    public void applyDiscreteFillColorsAlpha(int alpha)
                                      throws java.lang.IllegalArgumentException

  Utility method to apply an alpha (transparency) to the array of discrete fill colors, which are utilised when the fill, marker and line style arrays are cycled. For instance if the 15th MarkerStyle is desired but the MarkerStyle array consist of only 12 entries, the 15%12 (i.e. 3rd) MarkerStyle entry is is used but its color will be based upon discreteFillColor[15%discreteFillColor.length]. Each time the colors are cycled the actual color will change but will always be based upon said entry.

  Parameters:
    `alpha` - to be applied
  Throws:
    `java.lang.IllegalArgumentException` - if alpha is less than 0 or alpha greater than 255.

### equals

    public boolean equals(java.lang.Object obj)

  Determines whether another object is equal to this `DataElementStyles`.

  The result is `true` if and only if the argument is not `null` and is a `DataElementStyles` object that has the same property values as this object.

  Overrides:
    `equals` in class `ModelBase`
  Parameters:
    `obj` - the object to test for equality with this `DataElementStyles`
  Returns:
    `true` if the objects are the same; `false` otherwise.

### setFillStyles

    public void setFillStyles(FillStyle[] newFillStyles)
                       throws java.lang.IllegalArgumentException

  Fill attributes for data elements. Note: A copy of the array parameter is made when this method is called. Changing the array values of newFillStyles after the set will have no affect on the chart. To effect a change in the chart it will be necessary to call this method again with the appropriate changes.

  You can modify the properties of any of the FillStyles that are contained in the array.

  Parameters:
    `newFillStyles` - FillStyle array for data element attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyles is null, null is not a legal argument.
    `java.lang.IllegalArgumentException` - if any elements in newFillStyles are null.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getFillStyles()`

### getFillStyles

    public FillStyle[] getFillStyles()

  Returns the FillStyle attributes used to create the data elements in the graph.

  Returns:
    a FillStyle array containing attributes used on data elements in the graph.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setFillStyles(com.sas.graphics.components.FillStyle[])`, `getLineStyles()`, `getMarkerStyles()`

### setLineStyles

    public void setLineStyles(StrokeLineStyle[] newLineStyles)
                       throws java.lang.IllegalArgumentException

  Line attributes for data elements. Note: A copy of the array parameter is made when this method is called. Changing the array values of newLineStyles after the set will have no affect on the chart. To effect a change in the chart it will be necessary to call this method again with the appropriate changes.

  You can modify the properties of any of the StrokeLineStyles that are contained in the array.

  Parameters:
    `newLineStyles` - StrokeLineStyle array for data element attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newLineStyles is null, null is not a legal argument.
    `java.lang.IllegalArgumentException` - if any elements in newLineStyles are null.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getLineStyles()`, `setFillStyles(com.sas.graphics.components.FillStyle[])`, `setMarkerStyles(com.sas.graphics.components.MarkerStyle[])`

### getLineStyles

    public StrokeLineStyle[] getLineStyles()

  Returns the Line attributes used to create the data elements in the graph.

  Returns:
    a StrokeLineStyle array containing attributes used on data elements in the graph.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setLineStyles(com.sas.graphics.components.StrokeLineStyle[])`, `getFillStyles()`, `getMarkerStyles()`

### setMarkerStyles

    public void setMarkerStyles(MarkerStyle[] newMarkerStyles)
                         throws java.lang.IllegalArgumentException

  Marker attributes for data elements.

  Note: A copy of the array parameter is made when this method is called. Changing the array values of newMarkerStyles after the set will have no affect on the chart. To effect a change in the chart it will be necessary to call this method again with the appropriate changes.

  You can modify the properties of any of the MarkerStyles that are contained in the array.

  Parameters:
    `newMarkerStyles` - MarkerStyle array for data element attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newMarkerStyles is null, null is not a legal argument.
    `java.lang.IllegalArgumentException` - if any elements in newMarkerStyles are null.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getMarkerStyles()`, `setFillStyles(com.sas.graphics.components.FillStyle[])`, `setLineStyles(com.sas.graphics.components.StrokeLineStyle[])`

### getMarkerStyles

    public MarkerStyle[] getMarkerStyles()

  Returns the Marker attributes used to create the data elements in the graph.

  Returns:
    a MarkerStyle array containing attributes used on data elements in the graph.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setMarkerStyles(com.sas.graphics.components.MarkerStyle[])`, `getFillStyles()`, `getLineStyles()`

### setErrorFillStyles

    public void setErrorFillStyles(FillStyle[] newFillStyles)
                            throws java.lang.IllegalArgumentException

  Fill attributes for Error data elements. Note: A copy of the array parameter is made when this method is called. Changing the array values of newFillStyles after the set will have no affect on the chart. To effect a change in the chart it will be necessary to call this method again with the appropriate changes.

  You can modify the properties of any of the FillStyles that are contained in the array.

  Parameters:
    `newFillStyles` - FillStyle array for Error data element attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyles is null, null is not a legal argument.
    `java.lang.IllegalArgumentException` - if any elements in newFillStyles are null.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getErrorFillStyles()`

### getErrorFillStyles

    public FillStyle[] getErrorFillStyles()

  Returns the FillStyle attributes used to create the Error data elements in the graph.

  Returns:
    a FillStyle array containing attributes used on Error data elements in the graph.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setErrorFillStyles(com.sas.graphics.components.FillStyle[])`, `getErrorLineStyles()`, `getErrorMarkerStyles()`

### setErrorLineStyles

    public void setErrorLineStyles(StrokeLineStyle[] newLineStyles)
                            throws java.lang.IllegalArgumentException

  Line attributes for Error data elements. Note: A copy of the array parameter is made when this method is called. Changing the array values of newLineStyles after the set will have no affect on the chart. To effect a change in the chart it will be necessary to call this method again with the appropriate changes.

  You can modify the properties of any of the StrokeLineStyles that are contained in the array.

  Parameters:
    `newLineStyles` - StrokeLineStyle array for Error data element attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newLineStyles is null, null is not a legal argument.
    `java.lang.IllegalArgumentException` - if any elements in newLineStyles are null.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getErrorLineStyles()`, `setErrorFillStyles(com.sas.graphics.components.FillStyle[])`, `setErrorMarkerStyles(com.sas.graphics.components.MarkerStyle[])`

### getErrorLineStyles

    public StrokeLineStyle[] getErrorLineStyles()

  Returns the Line attributes used to create the Error data elements in the graph.

  Returns:
    a StrokeLineStyle array containing attributes used on Error data elements in the graph.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setErrorLineStyles(com.sas.graphics.components.StrokeLineStyle[])`, `getErrorFillStyles()`, `getErrorMarkerStyles()`

### setErrorMarkerStyles

    public void setErrorMarkerStyles(MarkerStyle[] newMarkerStyles)
                              throws java.lang.IllegalArgumentException

  Marker attributes for Error data elements.

  Note: A copy of the array parameter is made when this method is called. Changing the array values of newMarkerStyles after the set will have no affect on the chart. To effect a change in the chart it will be necessary to call this method again with the appropriate changes.

  You can modify the properties of any of the MarkerStyles that are contained in the array.

  Parameters:
    `newMarkerStyles` - MarkerStyle array for Error data element attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newMarkerStyles is null, null is not a legal argument.
    `java.lang.IllegalArgumentException` - if any elements in newMarkerStyles are null.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getErrorMarkerStyles()`, `setErrorFillStyles(com.sas.graphics.components.FillStyle[])`, `setErrorLineStyles(com.sas.graphics.components.StrokeLineStyle[])`

### getErrorMarkerStyles

    public MarkerStyle[] getErrorMarkerStyles()

  Returns the Marker attributes used to create the Error data elements in the graph.

  Returns:
    a MarkerStyle array containing attributes used on Error data elements in the graph.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setErrorMarkerStyles(com.sas.graphics.components.MarkerStyle[])`, `getErrorFillStyles()`, `getErrorLineStyles()`

### getOutlineLineStyle

    public LineStyle getOutlineLineStyle()

  Returns the line attributes for the element outlines.

  Returns:
    the element outline display properties
  See Also:
    `setOutlineLineStyle(com.sas.graphics.components.LineStyle)`, `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`

### setOutlineLineStyle

    public void setOutlineLineStyle(LineStyle newOutlineLineStyle)
                             throws java.lang.IllegalArgumentException

  Set the line attributes for the element outlines.

  Parameters:
    `newOutlineLineStyle` - the element outline display properties
  Throws:
    `java.lang.IllegalArgumentException` - if newOutlineLineStyle is null.
  See Also:
    `getOutlineLineStyle()`, `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`

### getConnectingLineStyle

    public LineStyle getConnectingLineStyle()

  Returns the line attributes for the element Connecting lines.

  Returns:
    the element Connecting line display properties
  See Also:
    `setConnectingLineStyle(com.sas.graphics.components.LineStyle)`, `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`

### setConnectingLineStyle

    public void setConnectingLineStyle(LineStyle newConnectingLineStyle)
                                throws java.lang.IllegalArgumentException

  Set the line attributes for the element Connecting lines.

  Parameters:
    `newConnectingLineStyle` - the element Connecting line display properties
  Throws:
    `java.lang.IllegalArgumentException` - if newConnectingLineStyle is null.
  See Also:
    `getConnectingLineStyle()`, `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`

### setTargetColor

    public void setTargetColor(java.awt.Color newTargetColor)
                        throws java.lang.IllegalArgumentException

  Sets the color applied to target indicators.

  The default value is java.awt.Color.BLACK.

  graph.applyGraphStyle(GraphStyle) must be called before this property setting will appear in a Graph.

  Parameters:
    `newTargetColor` - the primary color used to indicate selection.
  Throws:
    `java.lang.IllegalArgumentException`
  See Also:
    `getTargetColor()`

### getTargetColor

    public java.awt.Color getTargetColor()

  Returns the color applied to target indicators.

  Returns:
    the color applied to target indicators.
  See Also:
    `setTargetColor(java.awt.Color)`

### setTargetMarkerStyle

    public void setTargetMarkerStyle(MarkerStyle newMarkerStyle)
                              throws java.lang.IllegalArgumentException

  Marker display properties for target markers. Each individual graph determines if this property is applicable and how it is applied. Check chart specific graph documentation.

  Parameters:
    `newMarkerStyle` - MarkerStyle for target markers.
  Throws:
    `java.lang.IllegalArgumentException` - if newMarkerStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getTargetMarkerStyle()`

### getTargetMarkerStyle

    public MarkerStyle getTargetMarkerStyle()

  Returns the target MarkerStyle property.

  Returns:
    a MarkerStyle containing display properties applied to target markers.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setTargetMarkerStyle(com.sas.graphics.components.MarkerStyle)`

### setContinuousFillTwoColorStartColor

    public void setContinuousFillTwoColorStartColor(java.awt.Color newColor)

  Sets the beginning color of a two color continuous range spectrum for the data elements.

  The two color and three color fill color ranges are mutually exclusive. The two color and three color contrast color ranges are mutually exclusive. All four of these continuous color ranges are available for any of the graphs to use. Each individual chart or plot decides how the data element colors are utilized. Check the chart or plot specific documentation for further details.

  Parameters:
    `newColor` - Start color of a data element two color continuous range Fill color.
  Throws:
    `java.lang.IllegalArgumentException` - if newColor is null, null is not a legal argument.
  See Also:
    `getContinuousFillTwoColorStartColor()`, `setContinuousFillThreeColorStartColor(java.awt.Color)`

### getContinuousFillTwoColorStartColor

    public java.awt.Color getContinuousFillTwoColorStartColor()

  Returns the beginning color of a two color continuous range spectrum for the data elements.

  See Also:
    `setContinuousFillTwoColorStartColor(java.awt.Color)`, `getContinuousFillThreeColorStartColor()`

### setContinuousFillTwoColorEndColor

    public void setContinuousFillTwoColorEndColor(java.awt.Color newColor)

  Sets the ending color of a two color continuous range spectrum for the data elements.

  The two color and three color fill color ranges are mutually exclusive. The two color and three color contrast color ranges are mutually exclusive. All four of these continuous color ranges are available for any of the graphs to use. Each individual chart or plot decides how the data element colors are utilized. Check the chart or plot specific documentation for further details.

  Parameters:
    `newColor` - End color of a data element two color continuous range Fill color.
  Throws:
    `java.lang.IllegalArgumentException` - if newColor is null, null is not a legal argument.
  See Also:
    `getContinuousFillTwoColorEndColor()`, `setContinuousFillThreeColorEndColor(java.awt.Color)`

### getContinuousFillTwoColorEndColor

    public java.awt.Color getContinuousFillTwoColorEndColor()

  Returns the ending color of a two color continuous range spectrum for the data elements.

  See Also:
    `setContinuousFillTwoColorEndColor(java.awt.Color)`, `getContinuousFillThreeColorEndColor()`

### setContinuousFillThreeColorStartColor

    public void setContinuousFillThreeColorStartColor(java.awt.Color newColor)

  Sets the beginning color of a three color continuous range spectrum for the data elements.

  The two color and three color fill color ranges are mutually exclusive. The two color and three color contrast color ranges are mutually exclusive. All four of these continuous color ranges are available for any of the graphs to use. Each individual chart or plot decides how the data element colors are utilized. Check the chart or plot specific documentation for further details.

  Parameters:
    `newColor` - Start color of a data element three color continuous range Fill color.
  Throws:
    `java.lang.IllegalArgumentException` - if newColor is null, null is not a legal argument.
  See Also:
    `getContinuousFillThreeColorStartColor()`, `setContinuousFillThreeColorNeutralColor(java.awt.Color)`, `setContinuousFillThreeColorEndColor(java.awt.Color)`, `setContinuousFillTwoColorStartColor(java.awt.Color)`

### getContinuousFillThreeColorStartColor

    public java.awt.Color getContinuousFillThreeColorStartColor()

  Returns the beginning color of a three color continuous range spectrum for the data elements.

  See Also:
    `setContinuousFillThreeColorStartColor(java.awt.Color)`, `getContinuousFillThreeColorNeutralColor()`, `getContinuousFillThreeColorEndColor()`, `getContinuousFillTwoColorStartColor()`

### setContinuousFillThreeColorEndColor

    public void setContinuousFillThreeColorEndColor(java.awt.Color newColor)

  Sets the ending color of a three color continuous range spectrum for the data elements.

  The two color and three color fill color ranges are mutually exclusive. The two color and three color contrast color ranges are mutually exclusive. All four of these continuous color ranges are available for any of the graphs to use. Each individual chart or plot decides how the data element colors are utilized. Check the chart or plot specific documentation for further details.

  Parameters:
    `newColor` - End color of a data element three color continuous range Fill color.
  Throws:
    `java.lang.IllegalArgumentException` - if newColor is null, null is not a legal argument.
  See Also:
    `getContinuousFillThreeColorEndColor()`, `setContinuousFillThreeColorStartColor(java.awt.Color)`, `setContinuousFillThreeColorNeutralColor(java.awt.Color)`, `setContinuousFillTwoColorEndColor(java.awt.Color)`

### getContinuousFillThreeColorEndColor

    public java.awt.Color getContinuousFillThreeColorEndColor()

  Returns the ending color of a three color continuous range spectrum for the data elements.

  See Also:
    `setContinuousFillThreeColorEndColor(java.awt.Color)`, `getContinuousFillThreeColorStartColor()`, `getContinuousFillThreeColorNeutralColor()`, `getContinuousFillTwoColorEndColor()`

### setContinuousFillThreeColorNeutralColor

    public void setContinuousFillThreeColorNeutralColor(java.awt.Color newColor)

  Sets the middle color of a three color continuous range spectrum for the data elements.

  The two color and three color fill color ranges are mutually exclusive. The two color and three color contrast color ranges are mutually exclusive. All four of these continuous color ranges are available for any of the graphs to use. Each individual chart or plot decides how the data element colors are utilized. Check the chart or plot specific documentation for further details.

  Parameters:
    `newColor` - Middle color of a data element three color continuous range Fill color.
  Throws:
    `java.lang.IllegalArgumentException` - if newColor is null, null is not a legal argument.
  See Also:
    `getContinuousFillThreeColorNeutralColor()`, `setContinuousFillThreeColorStartColor(java.awt.Color)`, `setContinuousFillThreeColorEndColor(java.awt.Color)`, `setContinuousFillTwoColorStartColor(java.awt.Color)`, `setContinuousFillTwoColorEndColor(java.awt.Color)`

### getContinuousFillThreeColorNeutralColor

    public java.awt.Color getContinuousFillThreeColorNeutralColor()

  Returns the middle color of a three color continuous range spectrum for the data elements.

  See Also:
    `setContinuousFillThreeColorNeutralColor(java.awt.Color)`, `getContinuousFillThreeColorStartColor()`, `getContinuousFillThreeColorEndColor()`, `getContinuousFillTwoColorStartColor()`, `getContinuousFillTwoColorEndColor()`

### setContinuousContrastTwoColorStartColor

    public void setContinuousContrastTwoColorStartColor(java.awt.Color newColor)

  Sets the beginning color of a two color continuous range spectrum for the data elements.

  The two color and three color fill color ranges are mutually exclusive. The two color and three color contrast color ranges are mutually exclusive. All four of these continuous color ranges are available for any of the graphs to use. Each individual chart or plot decides how the data element colors are utilized. Check the chart or plot specific documentation for further details.

  Parameters:
    `newColor` - Start color of a data element two color continuous range Contrast color.
  Throws:
    `java.lang.IllegalArgumentException` - if newColor is null, null is not a legal argument.
  See Also:
    `getContinuousContrastTwoColorStartColor()`, `setContinuousContrastThreeColorStartColor(java.awt.Color)`

### getContinuousContrastTwoColorStartColor

    public java.awt.Color getContinuousContrastTwoColorStartColor()

  Returns the beginning color of a two color continuous range spectrum for the data elements.

  See Also:
    `setContinuousContrastTwoColorStartColor(java.awt.Color)`, `getContinuousContrastThreeColorStartColor()`

### setContinuousContrastTwoColorEndColor

    public void setContinuousContrastTwoColorEndColor(java.awt.Color newColor)

  Sets the ending color of a two color continuous range spectrum for the data elements.

  The two color and three color fill color ranges are mutually exclusive. The two color and three color contrast color ranges are mutually exclusive. All four of these continuous color ranges are available for any of the graphs to use. Each individual chart or plot decides how the data element colors are utilized. Check the chart or plot specific documentation for further details.

  Parameters:
    `newColor` - End color of a data element two color continuous range Contrast color.
  Throws:
    `java.lang.IllegalArgumentException` - if newColor is null, null is not a legal argument.
  See Also:
    `getContinuousContrastTwoColorEndColor()`, `setContinuousContrastThreeColorEndColor(java.awt.Color)`

### getContinuousContrastTwoColorEndColor

    public java.awt.Color getContinuousContrastTwoColorEndColor()

  Returns the ending color of a two color continuous range spectrum for the data elements.

  See Also:
    `setContinuousContrastTwoColorEndColor(java.awt.Color)`, `getContinuousContrastThreeColorEndColor()`

### setContinuousContrastThreeColorStartColor

    public void setContinuousContrastThreeColorStartColor(java.awt.Color newColor)

  Sets the beginning color of a three color continuous range spectrum for the data elements.

  The two color and three color fill color ranges are mutually exclusive. The two color and three color contrast color ranges are mutually exclusive. All four of these continuous color ranges are available for any of the graphs to use. Each individual chart or plot decides how the data element colors are utilized. Check the chart or plot specific documentation for further details.

  Parameters:
    `newColor` - Start color of a data element three color continuous range Contrast color.
  Throws:
    `java.lang.IllegalArgumentException` - if newColor is null, null is not a legal argument.
  See Also:
    `getContinuousContrastThreeColorStartColor()`, `setContinuousContrastThreeColorNeutralColor(java.awt.Color)`, `setContinuousContrastThreeColorEndColor(java.awt.Color)`, `setContinuousContrastTwoColorStartColor(java.awt.Color)`

### getContinuousContrastThreeColorStartColor

    public java.awt.Color getContinuousContrastThreeColorStartColor()

  Returns the beginning color of a three color continuous range spectrum for the data elements.

  See Also:
    `setContinuousContrastThreeColorStartColor(java.awt.Color)`, `getContinuousContrastThreeColorNeutralColor()`, `getContinuousContrastThreeColorEndColor()`, `getContinuousContrastTwoColorStartColor()`

### setContinuousContrastThreeColorEndColor

    public void setContinuousContrastThreeColorEndColor(java.awt.Color newColor)

  Sets the ending color of a three color continuous range spectrum for the data elements.

  The two color and three color fill color ranges are mutually exclusive. The two color and three color contrast color ranges are mutually exclusive. All four of these continuous color ranges are available for any of the graphs to use. Each individual chart or plot decides how the data element colors are utilized. Check the chart or plot specific documentation for further details.

  Parameters:
    `newColor` - End color of a data element three color continuous range Contrast color.
  Throws:
    `java.lang.IllegalArgumentException` - if newColor is null, null is not a legal argument.
  See Also:
    `getContinuousContrastThreeColorEndColor()`, `setContinuousContrastThreeColorStartColor(java.awt.Color)`, `setContinuousContrastThreeColorNeutralColor(java.awt.Color)`, `setContinuousContrastTwoColorEndColor(java.awt.Color)`

### getContinuousContrastThreeColorEndColor

    public java.awt.Color getContinuousContrastThreeColorEndColor()

  Returns the ending color of a three color continuous range spectrum for the data elements.

  See Also:
    `setContinuousContrastThreeColorEndColor(java.awt.Color)`, `getContinuousContrastThreeColorStartColor()`, `getContinuousContrastThreeColorNeutralColor()`, `getContinuousContrastTwoColorEndColor()`

### setContinuousContrastThreeColorNeutralColor

    public void setContinuousContrastThreeColorNeutralColor(java.awt.Color newColor)

  Sets the middle color of a three color continuous range spectrum for the data elements.

  The two color and three color fill color ranges are mutually exclusive. The two color and three color contrast color ranges are mutually exclusive. All four of these continuous color ranges are available for any of the graphs to use. Each individual chart or plot decides how the data element colors are utilized. Check the chart or plot specific documentation for further details.

  Parameters:
    `newColor` - Middle color of a data element three color continuous range Contrast color.
  Throws:
    `java.lang.IllegalArgumentException` - if newColor is null, null is not a legal argument.
  See Also:
    `getContinuousContrastThreeColorNeutralColor()`, `setContinuousContrastThreeColorStartColor(java.awt.Color)`, `setContinuousContrastThreeColorEndColor(java.awt.Color)`, `setContinuousContrastTwoColorStartColor(java.awt.Color)`, `setContinuousContrastTwoColorEndColor(java.awt.Color)`

### getContinuousContrastThreeColorNeutralColor

    public java.awt.Color getContinuousContrastThreeColorNeutralColor()

  Returns the middle color of a three color continuous range spectrum for the data elements.

  See Also:
    `setContinuousContrastThreeColorNeutralColor(java.awt.Color)`, `getContinuousContrastThreeColorStartColor()`, `getContinuousContrastThreeColorEndColor()`, `getContinuousContrastTwoColorStartColor()`, `getContinuousContrastTwoColorEndColor()`

### setDiscreteStyleMapModel

    public void setDiscreteStyleMapModel(com.sas.graphics.components.DiscreteStyleMapModel newStyleMapModel)

### getDiscreteStyleMapModel

    public com.sas.graphics.components.DiscreteStyleMapModel getDiscreteStyleMapModel()

### setOtherFillStyle

    public void setOtherFillStyle(FillStyle newFillStyle)
                           throws java.lang.IllegalArgumentException

  Fill attributes for Other pie slice. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for Other pie slice attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getOtherFillStyle()`

### getOtherFillStyle

    public FillStyle getOtherFillStyle()

  Returns the FillStyle attributes used to create the Other pie slice.

  Returns:
    a FillStyle array contintaining attributes used on Other pie slice.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setOtherFillStyle(com.sas.graphics.components.FillStyle)`

### setMissingFillStyle

    public void setMissingFillStyle(FillStyle newFillStyle)
                             throws java.lang.IllegalArgumentException

  Fill attributes for Missing values. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for Missing data values attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getMissingFillStyle()`

### getMissingFillStyle

    public FillStyle getMissingFillStyle()

  Returns the FillStyle attributes used to create the Missing values.

  Returns:
    a FillStyle array contintaining attributes used on Missing data elements.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setMissingFillStyle(com.sas.graphics.components.FillStyle)`

### setOutOfRangeFillStyle

    public void setOutOfRangeFillStyle(FillStyle newFillStyle)
                                throws java.lang.IllegalArgumentException

  Fill attributes for OutOfRange data elements on a Scatter Plot graph. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for OutOfRange data elements
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getOutOfRangeFillStyle()`

### getOutOfRangeFillStyle

    public FillStyle getOutOfRangeFillStyle()

  Returns the FillStyle attributes used to create the OutOfRange data elements.

  Returns:
    a FillStyle array contintaining attributes used on OutOfRange data elements.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setOutOfRangeFillStyle(com.sas.graphics.components.FillStyle)`

### setOverFlowFillStyle

    public void setOverFlowFillStyle(FillStyle newFillStyle)
                              throws java.lang.IllegalArgumentException

  Fill attributes for OverFlow data elements on Spectrum Plot. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for OverFlow data elements
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getOverFlowFillStyle()`

### getOverFlowFillStyle

    public FillStyle getOverFlowFillStyle()

  Returns the FillStyle attributes used to create the OverFlow data elements.

  Returns:
    a FillStyle array contintaining attributes used on OverFlow data elements.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setOverFlowFillStyle(com.sas.graphics.components.FillStyle)`

### setUnderFlowFillStyle

    public void setUnderFlowFillStyle(FillStyle newFillStyle)
                               throws java.lang.IllegalArgumentException

  Fill attributes for UnderFlow data elements on Spectrum Plot. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for UnderFlow data elements
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getUnderFlowFillStyle()`

### getUnderFlowFillStyle

    public FillStyle getUnderFlowFillStyle()

  Returns the FillStyle attributes used to create the UnderFlow data elements.

  Returns:
    a FillStyle array contintaining attributes used on UnderFlow data elements.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setUnderFlowFillStyle(com.sas.graphics.components.FillStyle)`

### setUpperThresholdFillStyle

    public void setUpperThresholdFillStyle(FillStyle newFillStyle)
                                    throws java.lang.IllegalArgumentException

  Fill attributes for data elements that pass above a specified Threshold on a BarChart. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for Threshold data elements.
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getUpperThresholdFillStyle()`, `BarChartModel.setResponseAxisLowerThreshold(double)`, `BarChartModel.setResponseAxisUpperThreshold(double)`, `BarChartModel.setResponse2AxisLowerThreshold(double)`, `BarChartModel.setResponse2AxisUpperThreshold(double)`

### getUpperThresholdFillStyle

    public FillStyle getUpperThresholdFillStyle()

  Returns the FillStyle attributes used to create the upper Threshold data elements.

  Returns:
    a FillStyle array contintaining attributes used on Threshold data elements.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setUpperThresholdFillStyle(com.sas.graphics.components.FillStyle)`

### setLowerThresholdFillStyle

    public void setLowerThresholdFillStyle(FillStyle newFillStyle)
                                    throws java.lang.IllegalArgumentException

  Fill attributes for data elements that pass below a specified Threshold on a BarChart. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for Threshold data elements.
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getLowerThresholdFillStyle()`, `BarChartModel.setResponseAxisLowerThreshold(double)`, `BarChartModel.setResponseAxisUpperThreshold(double)`, `BarChartModel.setResponse2AxisLowerThreshold(double)`, `BarChartModel.setResponse2AxisUpperThreshold(double)`

### getLowerThresholdFillStyle

    public FillStyle getLowerThresholdFillStyle()

  Returns the FillStyle attributes used to create the lower Threshold data elements.

  Returns:
    a FillStyle array contintaining attributes used on Threshold data elements.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setLowerThresholdFillStyle(com.sas.graphics.components.FillStyle)`

### setMilestoneMarkerStyle

    public void setMilestoneMarkerStyle(MarkerStyle newMarkerStyle)
                                 throws java.lang.IllegalArgumentException

  Marker display properties for milestone data elements. Each individual graph determines if this property is applicable and how it is applied. Check chart specific graph documentation.

  Parameters:
    `newMarkerStyle` - MarkerStyle for milestone data elements.
  Throws:
    `java.lang.IllegalArgumentException` - if newMarkerStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getMilestoneMarkerStyle()`

### getMilestoneMarkerStyle

    public MarkerStyle getMilestoneMarkerStyle()

  Returns the milestone MarkerStyle property.

  Returns:
    a MarkerStyle contintaining display properties applied to milestone data elements.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setMilestoneMarkerStyle(com.sas.graphics.components.MarkerStyle)`

### setNormalFillStyle

    public void setNormalFillStyle(FillStyle newFillStyle)
                            throws java.lang.IllegalArgumentException

  Fill attributes for Normal bar. Usually used for Gantt Chart. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for Normal bar attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getNormalFillStyle()`

### getNormalFillStyle

    public FillStyle getNormalFillStyle()

  Returns the FillStyle attributes used to create the Normal bar.

  Returns:
    a FillStyle contintaining attributes used on the Normal bar.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setNormalFillStyle(com.sas.graphics.components.FillStyle)`

### setSlackFillStyle

    public void setSlackFillStyle(FillStyle newFillStyle)
                           throws java.lang.IllegalArgumentException

  Fill attributes for Slack bar. Usually used for Gantt Chart. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for Slack bar attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getSlackFillStyle()`

### getSlackFillStyle

    public FillStyle getSlackFillStyle()

  Returns the FillStyle attributes used to create the Slack bar.

  Returns:
    a FillStyle contintaining attributes used on the Slack bar.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setSlackFillStyle(com.sas.graphics.components.FillStyle)`

### setCriticalFillStyle

    public void setCriticalFillStyle(FillStyle newFillStyle)
                              throws java.lang.IllegalArgumentException

  Fill attributes for Critical bar. Usually used for Gantt Chart. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for Critical bar attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getCriticalFillStyle()`

### getCriticalFillStyle

    public FillStyle getCriticalFillStyle()

  Returns the FillStyle attributes used to create the Critical bar.

  Returns:
    a FillStyle contintaining attributes used on the Critical bar.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setCriticalFillStyle(com.sas.graphics.components.FillStyle)`

### setResourceFillStyle

    public void setResourceFillStyle(FillStyle newFillStyle)
                              throws java.lang.IllegalArgumentException

  Fill attributes for Resource bar. Usually used for Gantt Chart. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for Resource bar attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getResourceFillStyle()`

### getResourceFillStyle

    public FillStyle getResourceFillStyle()

  Returns the FillStyle attributes used to create the Resource bar.

  Returns:
    a FillStyle contintaining attributes used on the Resource bar.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setResourceFillStyle(com.sas.graphics.components.FillStyle)`

### setCustomSchedule1FillStyle

    public void setCustomSchedule1FillStyle(FillStyle newFillStyle)
                                     throws java.lang.IllegalArgumentException

  Fill attributes for Custom Schedule 1 bar. Usually used for Gantt Chart. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for Custom Schedule 1 bar attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getCustomSchedule1FillStyle()`

### getCustomSchedule1FillStyle

    public FillStyle getCustomSchedule1FillStyle()

  Returns the FillStyle attributes used to create the Custom Schedule 1 bar.

  Returns:
    a FillStyle contintaining attributes used on the Custom Schedule 1 bar.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setResourceFillStyle(com.sas.graphics.components.FillStyle)`

### setCustomSchedule2FillStyle

    public void setCustomSchedule2FillStyle(FillStyle newFillStyle)
                                     throws java.lang.IllegalArgumentException

  Fill attributes for Custom Schedule 2 bar. Usually used for Gantt Chart. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for Custom Schedule 2 bar attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getCustomSchedule2FillStyle()`

### getCustomSchedule2FillStyle

    public FillStyle getCustomSchedule2FillStyle()

  Returns the FillStyle attributes used to create the Resource bar.

  Returns:
    a FillStyle contintaining attributes used on the Resource bar.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setCustomSchedule2FillStyle(com.sas.graphics.components.FillStyle)`

### setActualFillStyle

    public void setActualFillStyle(FillStyle newFillStyle)
                            throws java.lang.IllegalArgumentException

  Fill attributes for Actual bar. Usually used for Gantt Chart. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for Actual bar attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getActualFillStyle()`

### getActualFillStyle

    public FillStyle getActualFillStyle()

  Returns the FillStyle attributes used to create the Actual bar.

  Returns:
    a FillStyle contintaining attributes used on the Actual bar.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setActualFillStyle(com.sas.graphics.components.FillStyle)`

### setBaselineFillStyle

    public void setBaselineFillStyle(FillStyle newFillStyle)
                              throws java.lang.IllegalArgumentException

  Fill attributes for Baseline bar. Usually used for Gantt Chart. However, each individual chart determines how and if it will use these attributes. Check chart specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for Baseline bar attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `getBaselineFillStyle()`

### getBaselineFillStyle

    public FillStyle getBaselineFillStyle()

  Returns the FillStyle attributes used to create the Baseline bar.

  Returns:
    a FillStyle contintaining attributes used on the Baseline bar.
  See Also:
    `Graph.applyGraphStyle(com.sas.graphics.components.GraphStyle)`, `setBaselineFillStyle(com.sas.graphics.components.FillStyle)`

### setBreakTimeFillStyle

    public void setBreakTimeFillStyle(FillStyle newBreakTimeFillStyle)

  Sets fill attributes for marking break times. Set the visibility flag within this FillStyle to mark break times or not.

  Parameters:
    `newBreakTimeFillStyle` - attributes for marking BreakTimes, including visibility.
  Throws:
    `java.lang.IllegalArgumentException` - if newBreakTimeFillStyle is null.
  See Also:
    `getBreakTimeFillStyle()`

### getBreakTimeFillStyle

    public FillStyle getBreakTimeFillStyle()

  Returns the fill attributes for displaying BreakTime. Use the returned FillStyle to set new attributes. The following code fragment sets a solid gray fill:

       // Set a fill style for breaktimes
          FillStyle fill = getBreakTimeFillStyle();
          fill.setFillType(FillStyle.FILL_TYPE_SOLID_COLOR);
          fill.setSolidFillColor(Color.gray);
          fill.setVisible(true);

  Returns:
    FillStyle containing attributes for denoting BreakTime on the chart.
  See Also:
    `setBreakTimeFillStyle(com.sas.graphics.components.FillStyle)`

### setInitialFillStyle

    public void setInitialFillStyle(FillStyle newFillStyle)
                             throws java.lang.IllegalArgumentException

  Sets the fill attributes for "initial" elements such as found in the WaterfallChart. Each graph type determines whether and how it will use this attributes. Check graph specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for "initial" elements.
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `getInitialFillStyle()`

### getInitialFillStyle

    public FillStyle getInitialFillStyle()

  Returns the fill attributes for "initial" elements such as found in the WaterfallChart.

  Returns:
    a FillStyle for "initial" elements.
  See Also:
    `setInitialFillStyle(com.sas.graphics.components.FillStyle)`

### setFinalFillStyle

    public void setFinalFillStyle(FillStyle newFillStyle)
                           throws java.lang.IllegalArgumentException

  Sets the fill attributes for "final" elements such as found in the WaterfallChart. Each graph type determines whether and how it will use this attributes. Check graph specific documentation.

  Parameters:
    `newFillStyle` - FillStyle for "final" elements.
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null, null is not a legal argument.
  See Also:
    `getFinalFillStyle()`

### getFinalFillStyle

    public FillStyle getFinalFillStyle()

  Returns the fill attributes for "final" elements such as found in the WaterfallChart.

  Returns:
    a FillStyle for "final" elements.
  See Also:
    `setFinalFillStyle(com.sas.graphics.components.FillStyle)`

### setDiscreteFillColors

    public void setDiscreteFillColors(java.awt.Color[] newColors)

  Sets the list of colors to be associated with pie slice and bar data elements in a graph. These colors are only used for filled data elements. Markers will usually use the contrast color set. However, each individual chart determines how it will use these colors. Check chart specific documentation.

  If newColors is null, this setting is ignored.

  Parameters:
    `newColors` - data element Fill color set.
  See Also:
    `getDiscreteFillColors()`

### getDiscreteFillColors

    public java.awt.Color[] getDiscreteFillColors()

  Gets the list of colors to be associated with pie slice and bar data elements in a graph.

  Returns:
    data element colors
  See Also:
    `setDiscreteFillColors(java.awt.Color[])`

### setContinuousColorSpectrum

    public void setContinuousColorSpectrum(ColorPosition[] newColorSpectrum)

  Sets a color spectrum defined as an array of color inflection points mapped to normalized (0.0 to 1.0 inclusive) range. The range must be specified in ascending order. For example to specify a color spectrum where the lower 1/3 gradates from red to orange, the middle 1/3 gradates from orange to yellow and the final 1/3 gradates from yellow to green you should define the color spectrum as follows:

       setContinuousColorSpectrum( new ColorPosition[] {
                                   new ColorPosition(Color.red, 0.0 ),
                                   new ColorPosition(Color.orange, 0.33 ),
                                   new ColorPosition(Color.yellow, 0.67 ),
                                   new ColorPosition(Color.green, 1.0 )
                                   };

  Special note: duplicate pairs are allowed once for a given value to facilitate the definition of solid color ranges or transition levels between gradating colors. The color of the value corresponding to the exact inflection point value will be mapped to the color of the range containing the inflection point as its starting point.

  For example to define a color spectrum where the lower 1/4 is a constant red color, the next 1/4 is orange, the next 1/4 gradates from yellow to blue and the final 1/4 is green you should define the color spectrum as follows:

       setContinuousColorSpectrum( new ColorPosition[] {
                                   new ColorPosition(Color.red, 0.0 ),
                                   new ColorPosition(Color.red, 0.25 ),
                                   new ColorPosition(Color.orange, 0.25 ),
                                   new ColorPosition(Color.orange, 0.5 ),
                                   new ColorPosition(Color.yellow, 0.5 ),
                                   new ColorPosition(Color.blue, 0.75 ),
                                   new ColorPosition(Color.green, 0.75 ),
                                   new ColorPosition(Color.green, 1.0 )
                                   };

  Using a normalized range allows for a color map that is independent from the actual data values. If the actaul data range spand from 35 to 165 then the data value corresponding to the 0.25 inflection point would be ((165-35)*0.25 + 35) = 67.5. So given the last definition the values between 35 and 67.5 not including 67.5 (i.e. [35,65) ) would be colored red while values between 67.5 and ((165-35)*0.5 + 35) (i.e. [67.5,100) ) wold be colored orange etc. Special note: the final range includes both its beginning and ending vlaues (i.e. [0.75,1.0] normalized or [132.5,165] using this example).

  Parameters:
    `newColorSpectrum` - an array of color inflection points mapped to normalized (0.0 to 1.0 inclusive) range
  Throws:
    `java.lang.IllegalArgumentException` - is thrown if newColorSpectrum is null.
    `java.lang.IllegalArgumentException` - is thrown if the range does not begin with 0.0 or end with 1.0
    `java.lang.IllegalArgumentException` - is thrown if the inflection points within the range ar not specified in ascending order
  See Also:
    `getContinuousColorSpectrum()`

### getContinuousColorSpectrum

    public ColorPosition[] getContinuousColorSpectrum()

  Gets the color spectrum, a list of colors with associated positions along a normalized range of 0.0 to 1.0.

  Returns:
    color spectrum
  See Also:
    `setContinuousColorSpectrum(com.sas.graphics.components.ColorPosition[])`

### hashCode

    public int hashCode()

  Computes the hash code for this `DataElementStyles`.

  Overrides:
    `hashCode` in class `ModelBase`
  Returns:
    a hash code value for this object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.